Skip to main content
GET
Realized Volatility

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

timeframe
string
default:1Y

The timeframe of the data to return. Can be one of the following formats:

  • YTD
  • 1D, 2D, etc.
  • 1W, 2W, etc.
  • 1M, 2M, etc.
  • 1Y, 2Y, etc.
Example:

"2M"

days
enum<integer>
default:21

Select the realized volatility horizon in trading days.

Available options:
1,
3,
5,
10,
21,
42,
63,
126,
251
Example:

21

Response

date
string

A trading date in ISO format.

Example:

"2023-09-08T00:00:00.000Z"

implied_volatility
string

Annualized implied volatility for the mapped calendar day horizon.

Example:

"0.23"

implied_volatility_days
integer
Example:

30

price
string

The close stock price of the ticker.

Example:

"182.91"

realized_volatility
string

Annualized realized volatility over the selected number of trading days.

Example:

"0.18338055163621902"

realized_volatility_days
integer
Example:

21

unshifted_rv_date
string

The latest date used to calculate the realized volatility.

Example:

"2024-12-01T00:00:00.000Z"

Last modified on September 29, 2026